Package com.sas.lsaf.execution.job

## Class ManifestSystemFile

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFileRef
  - - com.sas.lsaf.execution.job.ManifestSystemFile

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ManifestSystemFile
      extends ManifestFileRef

  The class that represents the files that were generated by the execution environment.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestSystemFile​(ManifestFile manifestFile, EngineType type)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `EngineType` | `getType()` | Gets the type of system that generated the file.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.ManifestFileRef

      `getFile, getId, getLastModified, getName, getPath, getVersion, isRepositoryFile, isWorkspaceFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestSystemFile

          public ManifestSystemFile​(ManifestFile manifestFile,
                                    EngineType type)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the manifest files that are returned by the API.
      Parameters:
        `manifestFile` - The file object that represents a system file for the job submission.
        `type` - The type of system that generated the file.

  - ### Method Detail

    - #### getType

          public EngineType getType()

      Gets the type of system that generated the file.
      Returns:
        The type of system.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ManifestFileRef`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ManifestFileRef`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ManifestFileRef`